# Features

## [Push Notification](/features/push.md)

Adding push notification feature to your app using popular push notification services such as OneSignal, Firebase, etc

## [SNS Authentication](/features/sns.md)

Authenticating your users using popular SNS services such as Twitter, Facebook, etc

## [Google Maps](https://medium.com/the-web-tub/creating-google-maps-sample-app-with-angularjs-and-onsen-ui-c1325139781e)

Adding Google maps to your app using Google Maps JavaScript API

## [Payment](https://medium.com/the-web-tub/adding-payment-service-to-cordova-app-with-square-304bea8ad1f7)

Adding payment feature to your app using Squre service

## [Chat](https://medium.com/the-web-tub/integrating-monaca-with-api-ai-f9f294c5382a)

Adding a chat bot feature using Google's api.ai

## [Ads](broken://pages/-MfWeAgPyFuqsN5TgfC5)

Adding ads to your app using mobile ads networking called AdMob with Monaca

## [Database](/features/database.md)

Adding a database into your app using Monaca Backend, Web SQL, etc

## [RSS](/sampleapp/samples/sample_rss_reader.md)

Adding RSS feature to your app with jQuery Mobile

## [Augmented Reality (AR)](https://medium.com/the-web-tub/love-pokémon-go-create-your-own-ar-app-in-monaca-with-wikitude-4fe8dbcacc5d)

Adding AR feature into your app with Cordova Wikitude plugin

## [In-app Purchase](/tutorials/in-app_purchase.md)

Adding in-app purchase feature to your app using Cordova In-app Purchase plugin


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://en.docs.monaca.io/features.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
